//*****************************************************//
//Dateiname: globals.h
//Autor: Walter Scherer
//Projekt: niCE - nice insignificant compression engine
//Zweck: Header-Datei fr globale Variablen
//Datum der letzten Aenderung: 21.05.2003
//*****************************************************//

//***************************************************************************
//
//					Globale Variablen
//
//***************************************************************************
#ifndef COUNTER_ERROR

#define COUNTER_ERROR
extern int temp_num_error;			//berall als extern definiert auer in nice_main -> jede Datei greift auf die in nice_main definierte Variable temp_num_error zu ohne sie neu zu definieren
#endif

#ifndef STATISTICS
#define STATISTICS
//***************************************************************************
//
//					FunktionsPROTOTYPEN
//
//***************************************************************************

	/**
	 *
	 * statistics.c - Funktion zur Ermittlung der Statistik einer Datei (von globalem Interesse, daher in globals.h definiert)
	 *
	 */
double start_general_statistics(char *filename);
double get_size_of_file(char *filename, int num_chars);
int get_number_of_chars(char *filename);
void calc_entropy(char *filename, int num_chars);
FILE *open_file_read_access(char *filename);
void calc_avg_length_of_code(BitSequence *pt_array_codetable);
void calc_coding_percentage(double size_source, double size_target);
#endif